# Google Play Game Services Management API . scores

## Instance Methods

Reset scores for the specified leaderboard, resetting the leaderboard to empty. This method is only accessible to whitelisted tester accounts for your application.

### Method Details

`reset(leaderboardId)`

    Reset scores for the specified leaderboard, resetting the leaderboard to empty. This method is only accessible to whitelisted tester accounts for your application.

    Args:
      leaderboardId: string, The ID of the leaderboard. (required)

    Returns:
      An object of the form:

        { # This is a JSON template for a list of reset leaderboard entry resources.
        "kind": "gamesManagement#playerScoreResetResponse", # Uniquely identifies the type of this resource. Value is always the fixed string gamesManagement#playerScoreResetResponse.
        "resetScoreTimeSpans": [ # The time spans of the updated score.
            # Possible values are:
            # - "ALL_TIME" - The score is an all-time score.
            # - "WEEKLY" - The score is a weekly score.
            # - "DAILY" - The score is a daily score.
          "A String",
        ],
      }